jQuery(document).ready(function ($) {

    $(document).on('click', '.wpfreeton_login_overlay, .close', function (e) {
        e.preventDefault();
        $('form#wpfreeton_login, form#wpfreeton_login_email, form#wpfreeton_activate').fadeOut(500, function () {
            $('.wpfreeton_login_overlay').remove();
        });
        return false;
    });

    // Show the login/signup popup on click

    $('body').on('click', '#show_login , .show_login', function (e) {
        var sticky = $(this).attr('data-sticky');
        if (sticky && sticky === '1')
            $('body').append('<div class="wpfreeton_login_overlay"></div>');
        // if ($(this).attr('id') == 'show_login')
        if ($('form#wpfreeton_login').length > 0) {
            $('form#wpfreeton_login').fadeIn(0);
        }
        if ($('form#wpfreeton_login_email').length > 0) {
            $('form#wpfreeton_login_email').fadeIn(0);
            $('form#wpfreeton_login').fadeOut(0);

        }
        e.preventDefault();
    });
    $('body').on('click', '.auth_with_phoneNumber', function (e) {
        // if ($(this).attr('id') == 'show_login')
        $('#wpfreeton_login_email').fadeOut(10);
        $('#wpfreeton_login').fadeIn(500);
        // else
        //     $('form#register').fadeIn(500);
        e.preventDefault();
    });
    $('body').on('click', '.forgot_password', function (e) {
        e.preventDefault();
        if (!$(this).valid()) return false;
        //if (typeof firebaseConfig !== 'undefined')return false;

        $('p.status', this).show().text(web_wpfreeton.loadingmessage);
        var action = 'wpfreeton_forgot_password';
        var username = $('.wpfreeton_username').val();
        //username = username.replace(/^0+/, '');

        var email = $('.wpfreeton_email').val();
        $('#wpfreeton_login_email').fadeOut(10);
        $('#wpfreeton_login').fadeOut(10);
        $('#wpfreeton_enter_password').fadeOut(10);

        $('#wpfreeton_activate').fadeIn(500);
        $.ajax({
            dataType: 'json',
            url: web_wpfreeton.ajaxurl,
            data: {
                'action': action,
                'freeton_wallet': username,
                'email': email,
                'ID': web_wpfreeton.UserId,
            },
            success: function (data) {
            }
        });
    });
    $('body').on('click', '.auth_with_email', function (e) {

        // if ($(this).attr('id') == 'show_login')
        $('#wpfreeton_login').fadeOut(10);
        $('#wpfreeton_login_email').fadeIn(500);
        e.preventDefault();
    });
    $('#show_login').click();
    // Perform AJAX login/register on form submit
    $('form#wpfreeton_login').on('submit', function (e) {
        e.preventDefault();

        if (!$(this).valid()) return false;

        //if (typeof firebaseConfig !== 'undefined')return false;
        $('p.status', this).show().text(web_wpfreeton.loadingmessage);
        var action = 'wpfreeton_ajax_login';
        var username = $('.wpfreeton_username').val();
        //username = username.replace(/^0+/, '');

        var ctrl = $(this);
        $.ajax({
            // type: 'GET',
            dataType: 'json',
            url: web_wpfreeton.ajaxurl,
            data: {
                'action': action,
                'username': username,
            },
            success: function (data) {
                $('p.status', ctrl).text(data.message);
                if (data.success == true) {
                    $('#wpfreeton_login_email').fadeOut(10);
                    $('#wpfreeton_login').fadeOut(10);
                    web_wpfreeton.UserId = data.ID;
                    if (data.authWithPass) {
                        if (data.showPass) {
                            $('#wpfreeton_enter_password').fadeIn(500);
                            console.log('xdwcef');

                        } else {
                            $('#wpfreeton_activate').fadeIn(500);
                            console.log('xdwcffffef');

                        }
                    } else {
                        $('#wpfreeton_activate').fadeIn(500);
                        console.log('xdwcef543');
                    }
                    //     document.location.href = web_wpfreeton.redirecturl;
                }
            }
        });
    });
    $('form#wpfreeton_login_email').on('submit', function (e) {
        if (!$(this).valid()) return false;

        $('p.status', this).show().text(web_wpfreeton.loadingmessage);
        var action = 'wpfreeton_ajax_login_with_email';
        var email = $('.wpfreeton_email').val();

        // security = $('form#wpfreeton_login .wpfreeton_scode').val();
        var ctrl = $(this);
        $.ajax({
            // type: 'GET',
            dataType: 'json',
            url: web_wpfreeton.ajaxurl,
            data: {
                'action': action,
                'email': email
            },
            success: function (data) {

                $('p.status', ctrl).text(data.message);
                if (data.success == true) {
                    $('#wpfreeton_login_email').fadeOut(10);
                    $('#wpfreeton_login').fadeOut(10);
                    web_wpfreeton.UserId = data.ID;
                    if (data.authWithPass) {

                        if (data.showPass) {
                            $('#wpfreeton_enter_password').fadeIn(500);

                        } else {
                            $('#wpfreeton_activate').fadeIn(500);

                        }
                    } else {
                        $('#wpfreeton_activate').fadeIn(500);

                    }
                }
            }
        });
        e.preventDefault();
    });


    $('form#wpfreeton_activate').on('submit', function (e) {
        e.preventDefault();
        if (!$(this).valid()) return false;
        //if (typeof firebaseConfig !== 'undefined')return false;


        $('p.status', this).show().text(web_wpfreeton.loadingmessage);
        var action = 'wpfreeton_ajax_register';
        var security = $('.wpfreeton_scode').val();
        var obj = {
            'action': action,
            'secod': security,
        };
        $('#wpfreeton_login').fadeOut(10);
        $('#wpfreeton_login_email').fadeOut(10);
        // $('#wpfreeton_activate').fadeOut(500);
        var freeton_wallet = $('.wpfreeton_username').val();
        if (freeton_wallet) {
            //freeton_wallet = freeton_wallet.replace(/^0+/, '');
            obj['freeton_wallet'] = freeton_wallet;
        }
        var email = $('.wpfreeton_email').val();
        if (email) {
            obj['email'] = email;
        }

        var ctrl = $(this);

        $.ajax({
            // type: 'GET',
            dataType: 'json',
            url: web_wpfreeton.ajaxurl,
            data: obj,
            success: function (data) {
                if (data.authWithPass) {

                    if (!data.updatedPass) {
                        $('#wpfreeton_activate').fadeOut(500);
                        $('#wpfreeton_update_password').fadeIn(500);

                    } else {
                        $('p.status', ctrl).text(data.message);
                        if (data.success)
                            document.location.href = web_wpfreeton.redirecturl;

                    }
                } else {
                    $('p.status', ctrl).text(data.message);
                    if (data.success)
                        document.location.href = web_wpfreeton.redirecturl;
                }
            }
        });
    });


    $('form#wpfreeton_update_password').on('submit', function (e) {
        e.preventDefault();

        if (!$(this).valid()) return false;


        $('p.status', this).show().text(web_wpfreeton.loadingmessage);
        var action = 'wpfreeton_update_password_action';
        var wpfreeton_up_password = $('.wpfreeton_up_password').val();
        var obj = {
            'action': action,
            'password': wpfreeton_up_password,
        };
        var ctrl = $(this);

        $.ajax({
            // type: 'GET',
            dataType: 'json',
            url: web_wpfreeton.ajaxurl,
            data: obj,
            success: function (data) {
                $('p.status', ctrl).text(data.message);
                if (data.success)
                    document.location.href = web_wpfreeton.redirecturl;
            }
        });
    });
    $('form#wpfreeton_enter_password').on('submit', function (e) {
        console.log('act 2',web_wpfreeton.UserId);
        if (!$(this).valid()) return false;

        $('p.status', this).show().text(web_wpfreeton.loadingmessage);
        var action = 'wpfreeton_enter_password_action';
        var wpfreeton_up_password = $('.wpfreeton_auth_password').val();
        var wpfreeton_email = $('.wpfreeton_email').val();
        var wpfreeton_username = $('.wpfreeton_username').val();
        //wpfreeton_username = wpfreeton_username.replace(/^0+/, '');
        var obj = {
            'action': action,
            'password': wpfreeton_up_password,
            'ID': web_wpfreeton.UserId,
            'email': wpfreeton_email,
            'phoneNumber': wpfreeton_username

        };
        var ctrl = $(this);

        $.ajax({
            // type: 'GET',
            dataType: 'json',
            url: web_wpfreeton.ajaxurl,
            data: obj,
            success: function (data) {
                $('p.status', ctrl).text(data.message);
                if (data.success)
                    document.location.href = web_wpfreeton.redirecturl;
            }
        });
        e.preventDefault();
    });

    if (jQuery("#wpfreeton_login").length)
        jQuery("#wpfreeton_login").validate();
});